Subject: Re: Setup installation order?
From: Robert Collins <[email-masked]>
To: Rick Rankin <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Sep 2003 07:01:27 +1000

On Wed, 2003-09-17 at 03:49, Rick Rankin wrote:
> Is the cygwin package given any special consideration during the install
> process (e.g., last to be uninstalled, first to be (re)installed), or is this
> something that's expected to be handled by the dependency list? I've been
> perusing the setup sources, but I haven't quite figured out the dependency
> processing, yet. So far, I haven't found anything related via Google searches,
> either.

Setup performs removals, replacements, new installs, in that order.

Once all file copies are complete, postinstall scripts are run, in
topological order (using strongly connected graph traversal). So you
problem was most likely during the replacement phase. 

The setup.log.full and setup.log would be essential to diagnose the
problem.

Rob
-- 
GPG key available at: <http://members.aardvark.net.au/lifeless/keys.txt>.